function yesNoMenu(originalBGImage, message)
	while true do
		screen:blit(0, 0, originalBGImage, true)
		screen:blit(0, 0, menuImages["yesno_background_overlay"], true)
		local x=158+10
		local y=108+10
		printWithCR(screen, x, y, message, white, 10)
		
		updateInputs(Controls.read())
		
		if inputFirstPress("circle") then
			return "yes"
		elseif inputFirstPress("square") then
			return "no"
		end
		
		screen.waitVblankStart()
		screen.flip()
	end
end 